Fetch List of DND List

This API allows you to fetch list of DND List.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api-smartflo.tatateleservices.com/v1/broadcast/dnd/lists \
     --header 'accept: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Query Params)

The following parameter is required to fetch list a DND list.

Variable NameDescriptionData Type
limitNumber of records to be fetched. Min: 1 max: 100.String
sort_dirOrder by which the fetched result will be displayed. For example: ascending or descending order.String
cursorPointer where the cursor should start from.String
nameName of the listString
updated_afterDate at which it was last updated.String

Sample Response

{
  "hasMore": true,
  "limit": 10,
  "count": 10,
  "data": [
    {
      "id": 21,
      "name": "ABC",
      "description": "ABC",
      "created_at": "2020-12-17T12:17:17+0530",
      "updated_at": "2020-12-17T12:17:17+0530",
      "deleted_at": null
    },...
  ]
}

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
hasMoreIt defines whether there exist more records or not. For example: true or false.Boolean
limitNumber of records to be fetched.Integer
countTotal number of records in current page.Integer
data[].idId of the list.String
data[].nameName of the list.String
data[].descriptionDescription of the list.String
data[].created_atTime stamp when the list was created.String
data[].updated_atTime stamp when the list was last updated.String
data[].deleted_atTime stamp at which the list was deleted from the records.String
Query Params
string
string
string
string
string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json